function       [re,im]=lpcmbm(M,B,e);

% La funzione   [re,im]=lpcmbm(M,B,EE);    calcola parte reale e immaginaria
% dei punti critici relativi a un elemento MB/2, corrispondenti ai valori di
% E contenuti nel vettore EE;  re e im sono vettori colonna.

% G.O.Guardabassi, 8 gennaio 1997, 19 marzo 2000

if B < 0
   disp(' ')
   disp('ATTENZIONE! B non puo'' essere negativa!        CALCOLO INTERROTTO')
   disp(' ')
   return
end

if min(e) < B/2
	disp(' ')
	disp('ATTENZIONE! ''E'' non puo'' essere minore di B/2.  CALCOLO INTERROTTO')
   disp(' ')
	return
end

[p q]=size(e);
if q>p, e=e'; end
U=ones(length(e),1);
re=-sqrt(4*e.^2-U*B^2)*pi/(8*M);
im=-U*pi*B/(8*M);




